(: (Q10)
 : For each item that has received a bid, list the item number, the
 : highest bid, and the name of the highest bidder, ordered by item number.
 :)

<result>
 {
    for $highbid in doc("data/R-bids.xml")//bid_tuple,
        $user in doc("data/R-users.xml")//user_tuple
    where $user/userid = $highbid/userid 
      and $highbid/bid = max(doc("data/R-bids.xml")//bid_tuple[itemno=$highbid/itemno]/bid)
    order by $highbid/itemno
    return
        <high_bid>
            { $highbid/itemno }
            { $highbid/bid }
            <bidder>{ $user/name/text() }</bidder>
        </high_bid>
  }
</result> 

