(: (Q11)
 : List the item number and description of the item(s) that
 : received the highest bid ever recorded, and the amount of that bid.
 :)

let $highbid := max(doc("data/R-bids.xml")//bid_tuple/bid)
return
    <result>
     {
        for $item in doc("data/R-items.xml")//item_tuple,
            $b in doc("data/R-bids.xml")//bid_tuple[itemno = $item/itemno]
        where $b/bid = $highbid
        return
            <expensive_item>
                { $item/itemno }
                { $item/description }
                <high_bid>{ $highbid }</high_bid>
            </expensive_item>
     }
    </result> 

