(: (Q2)
 : For all bicycles, list the item number, description,
 : and highest bid (if any), ordered by item number.
 :)

<result>
  {
    for $i in doc("data/R-items.xml")//item_tuple
    let $b := doc("data/R-bids.xml")//bid_tuple[itemno = $i/itemno]
    where contains($i/description, "Bicycle")
    order by $i/itemno
    return
        <item_tuple>
            { $i/itemno }
            { $i/description }
            <high_bid>{ max($b/bid) }</high_bid>
        </item_tuple>
  }
</result>