(: (Q4)
 : Find news items where a company and one of its partners 
 : is mentioned in the same news item and the news item 
 : is not authored by the company itself. 
 :)

declare function local:partners($company as xs:string) as element()*
{
    let $c := doc("data/text-company.xml")//company[name = $company]
    return $c//partner
};

for $item in doc("data/text-news.xml")//news_item,
    $c in doc("data/text-company.xml")//company
let $partners := local:partners($c/name)
where contains(string($item), $c/name)
  and (some $p in $partners satisfies
    contains(string($item), $p) and $item/news_agent != $c/name)
return
    $item
