(: (Q5)
 : For each news item that is relevant to the Gorilla Corporation, 
 : create an "item summary" element. The content of the item summary 
 : is the content of the title, date, and first paragraph of the news item, 
 : separated by periods. A news item is relevant if the name of the company 
 : is mentioned anywhere within the content of the news item. 
 :)

for $item in doc("data/text-news.xml")//news_item
where contains(string($item/content), "Gorilla Corporation")
return
    <item_summary>
        { $item/title/text() }.
        { $item/date/text() }.
        { string(($item//par)[1]) }
    </item_summary>