(: (Q10)
 : Write a function that determines whether the person listed in a
 : billTo element is known to be a deadbeat, using a US database.
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/ipo.xsd";

declare function local:deadbeat( $b as element(ipo:billTo, ipo:USAddress) )
  as xs:boolean
{
   $b/name = doc("data/deadbeats.xml")/deadbeats/row/name
}; 

for $p in doc("data/ipo.xml")//element(ipo:purchaseOrder)
where local:deadbeat( $p/element(ipo:billTo) )
return <warning>{ string($p/billTo/name) } is a known deadbeat!</warning>
