(: (Q9)
 : Write a function that returns all comments found on an element, 
 : whether an item element or some other element that may have a comment.
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/ipo.xsd";

declare function local:comments-for-element( $e as element() )
  as element(ipo:comment)*
{
  $e/schema-element(ipo:comment)
};

for $p in doc("data/ipo.xml")//element(ipo:purchaseOrder)
where $p/ipo:shipTo/ipo:name="Helen Zoe"
  and $p/@orderDate = xs:date("1999-12-01")
return 
  <comments name="{$p/ipo:shipTo/ipo:name}" date="{$p/@orderDate}">
   {
     local:comments-for-element( $p )
   }
   {
     for $i in $p//ipo:item
     return local:comments-for-element( $i )
   }
  </comments> 
