(:
   A very simple example demonstrating how schema information
   can be utilized for optimization and static function dispatching.
   $x/ipo:quantity has inferred type integer;
   therefore ipo:quantity + 1 invokes the
   (overloaded) plus(integer,integer)-> integer
:)

(: the dynamic type test treat as /type/ /expr/ is here
    used to declare the type of $v.
:)

import schema namespace ipo="http://www.example.com/IPO" at "data/strong-ipo.xsd";

let $v := doc("data/strong-ipo.xml")/* treat as element(*, ipo:PurchaseOrderType) 
return
for $x in $v/ipo:items/ipo:item
return $x/ipo:quantity + 1

