(:
    how complicated can a simple comparison get;
    try out without and with optimization:
    The optimized query essentially discards
    unnecessary typeswitches, unnecessary existential
    quantification (not(empty())), because we know that count()
    returns a singleton number.
    Moreover, unnecessary let bindings are discarded. The
    resulting operator tree is still XQuery Core :)

let $x:= count(doc("data/R-users.xml")//*),
    $y:= count(doc("data/R-items.xml")//*)
return $x=$y