(: (Q13)
 : For each user who has placed a bid, give the userid, name, number
 : of bids, and average bid, in order by userid.
 :)

<result>
 {
    for $uid in distinct-values(doc("data/R-bids.xml")//userid),
        $u in doc("data/R-users.xml")//user_tuple[userid = $uid]
    let $b := doc("data/R-bids.xml")//bid_tuple[userid = $uid]
    order by $u/userid
    return
        <bidder>
            { $u/userid }
            { $u/name }
            <bidcount>{ count($b) }</bidcount>
            <avgbid>{ avg($b/bid) }</avgbid>
        </bidder>
  }
</result> 