(: (Q14)
 : List item numbers and average bids for items that have received
 : three or more bids, in descending order by average bid.
 :)

<result>
 {
    for $i in distinct-values(doc("data/R-bids.xml")//itemno)
    let $b := doc("data/R-bids.xml")//bid_tuple[itemno = $i]
    let $avgbid := avg($b/bid)
    where count($b) >= 3
    order by $avgbid descending
    return
        <popular_item>
            <itemno>{ $i }</itemno>
            <avgbid>{ $avgbid }</avgbid>
        </popular_item>
  }
</result> 