(: (Q16)
 : List all registered users in order by userid; for each user, include
 : the userid, name, and an indication of whether the user is active (has
 : at least one bid on record) or inactive (has no bid on record).
 :)

<result>
  {
    for $u in doc("data/R-users.xml")//user_tuple
    let $b := doc("data/R-bids.xml")//bid_tuple[userid = $u/userid]
    order by $u/userid
    return
        <user>
            { $u/userid }
            { $u/name }
            {
                if (empty($b))
                  then <status>inactive</status>
                  else <status>active</status>
            }
        </user>
  }
</result>