(: (Q18)
 : List all users in alphabetic order by name.  For each user,
 : include descriptions of all the items (if any) that were bid on
 : by that user, in alphabetic order.
 :)

<result>
  {
    for $u in doc("data/R-users.xml")//user_tuple
    order by $u/name
    return
        <user>
            { $u/name }
            {
                for $b in distinct-values(doc("data/R-bids.xml")//bid_tuple
                                             [userid = $u/userid]/itemno)
                for $i in doc("data/R-items.xml")//item_tuple[itemno = $b]
                let $descr := $i/description/text()
                order by $descr
                return
                    <bid_on_item>{ $descr }</bid_on_item>
            }
        </user>
  }
</result>