(: (Q6)
 : For each item whose highest bid is more than twice its reserve price,
 : list the item number, description, reserve price, and highest bid.
 :)

<result>
  {
    for $item in doc("data/R-items.xml")//item_tuple
    let $b := doc("data/R-bids.xml")//bid_tuple[itemno = $item/itemno]
    let $z := max($b/bid)
    where $item/reserve_price * 2 < $z
    return
        <successful_item>
            { $item/itemno }
            { $item/description }
            { $item/reserve_price }
            <high_bid>{$z }</high_bid>
         </successful_item>
  }
</result> 

