(: (Q5)
 : Write a query that returns purchase orders where the name in 
 : the shipping address does not match the name in the billing address.
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/ipo.xsd";

declare function local:names-match( $s as element(shipTo, ipo:Address), 
                                    $b as element(billTo, ipo:Address))
  as xs:boolean
{
     $s/name = $b/name
};

let $p := doc("data/ipo.xml")/element(ipo:purchaseOrder)
return local:names-match( $p/ipo:shipTo, $p/ipo:billTo ) 
