(: (Q6)
 : Find purchase orders where the billing address is not a USAddress, 
 : but at least one price is a USPrice.
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/ipo.xsd";

let $p := doc("data/ipo.xml")//element(ipo:purchaseOrder)
let $billTo := $p/ipo:billTo
let $shipTo := $p/ipo:shipTo
return
   if ($billTo instance of element(*, ipo:USAddress))
     then every $i in $p/items/item 
              satisfies (exists($i/USPrice))
         else false()
