(: (Q7)
 : Write a function that returns the text of a comment. Call this function for 
 : each shipping comment found in an item shipped to Helen Zoe on the date 1999-12-01.
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/ipo.xsd";

declare function local:comment-text($c as element(ipo:comment))
  as xs:string
{
    xs:string( $c )
};

for $p in doc("data/ipo.xml")//element(ipo:purchaseOrder),
    $t in local:comment-text( $p//ipo:shipComment )
where $p/ipo:shipTo/ipo:name="Helen Zoe"
    and $p/@orderDate = xs:date("1999-12-01")
return $t 
