(:(Q4)
 : For each author in the bibliography, list the author's name and
 : all his books, grouped inside a "result" element.
 :)

<results>
  {
    let $a := doc("data/xmp-data.xml")//author
    for $last in distinct-values($a/last),
        $first in distinct-values($a[last=$last]/first)
    order by $last, $first
    return
        <result>
            <author>
               <last>{ $last }</last>
               <first>{ $first }</first>
            </author>
            {
                for $b in doc("data/xmp-data.xml")/bib/book
                where some $ba in $b/author 
                      satisfies ($ba/last = $last and $ba/first=$first)
                return $b/title
            }
        </result>
  }
</results>
