(: (Q8)
 : Find books in which some element has a tag ending in "or" and
 : the same element contains (at any level of nesting) the string "Suciu".
 : For each such book, return the title and the qualifying element.
 :)

for $b in doc("data/xmp-data.xml")//book
let $e := $b/*[contains(string(.), "Suciu") 
		and ends-with(local-name(.), "or")]
where exists($e)
return
    <book>
       { $b/title }
       { $e }
    </book>


