(:
   Another simple example demonstrating how schema information
   can be utilized for optimization and static function dispatching.
   $x/ipo:quantity has inferred type integer, but 1.0 is of type
   decimal;
   therefore ipo:quantity + 1.0 invokes the
   (overloaded) plus(decimal,decimal)-> decimal
 :)

import schema namespace ipo="http://www.example.com/IPO" at "data/strong-ipo.xsd";
                        
let $v := doc("data/strong-ipo.xml")/* treat as element(*, ipo:PurchaseOrderType)
return
for $x in $v/ipo:items/ipo:item
return $x/ipo:quantity + 1.0
