#!/bin/bash

pushd `pwd` >/dev/null

IPSIXQ_HOME=`dirname $0`

cd $IPSIXQ_HOME/examples

export XERCESPATH=../lib/xercesImpl.jar
export XMLPARSERAPIPATH=../lib/xml-apis.jar
export IPSIXQPATH=../lib/ipsi-xq.jar:../lib/ipsixq.ui.jar:../lib/xqj.jar:../lib/ipsi.util.jar:../lib/xpathDatatypes.jar
export JSR173PATH=../lib/jsr173_1.0_api.jar
export CLASSPATH=$IPSIXQPATH:$XMLPARSERAPIPATH:$XERCESPATH:$JSR173PATH

java -cp $CLASSPATH  de.fraunhofer.ipsi.ipsixq.ui.console.ConsoleUI $@

popd >/dev/null
